# Interface Posix

#### Hierarchy

- Posix

- Defined in fs/types.ts:23

#####
Index

### Methods

add
exists
get
ls
mkdir
mv
read
resolveSymlink
rm
symlink
write

## Methods

### add

- add(path: DistinctivePath, content: Uint8Array | SoftLink | Record<string, SoftLink> | SoftLink[], options?: MutationOptions): Promise<Posix>

- #### Parameters

  - ##### path: DistinctivePath

  - ##### content: Uint8Array | SoftLink | Record<string, SoftLink> | SoftLink[]

  - ##### `Optional` options: MutationOptions

  #### Returns Promise<Posix>

  - Defined in fs/types.ts:37

### exists

- exists(path: DistinctivePath): Promise<boolean>

- #### Parameters

  - ##### path: DistinctivePath

  #### Returns Promise<boolean>

  - Defined in fs/types.ts:24

### get

- get(path: DistinctivePath): Promise<null | PuttableUnixTree | File>

- #### Parameters

  - ##### path: DistinctivePath

  #### Returns Promise<null | PuttableUnixTree | File>

  - Defined in fs/types.ts:25

### ls

- ls(path: DirectoryPath): Promise<Links>

- #### Parameters

  - ##### path: DirectoryPath

  #### Returns Promise<Links>

  - Defined in fs/types.ts:33

### mkdir

- mkdir(path: DirectoryPath, options?: MutationOptions): Promise<Posix>

- #### Parameters

  - ##### path: DirectoryPath

  - ##### `Optional` options: MutationOptions

  #### Returns Promise<Posix>

  - Defined in fs/types.ts:34

### mv

- mv(from: DistinctivePath, to: DistinctivePath): Promise<Posix>

- #### Parameters

  - ##### from: DistinctivePath

  - ##### to: DistinctivePath

  #### Returns Promise<Posix>

  - Defined in fs/types.ts:26

### read

- read(path: FilePath): Promise<null | Uint8Array>

- #### Parameters

  - ##### path: FilePath

  #### Returns Promise<null | Uint8Array>

  - Defined in fs/types.ts:43

### resolveSymlink

- resolveSymlink(link: SoftLink): Promise<null | File | Tree>

- #### Parameters

  - ##### link: SoftLink

  #### Returns Promise<null | File | Tree>

  - Defined in fs/types.ts:29

### rm

- rm(path: DistinctivePath): Promise<Posix>

- #### Parameters

  - ##### path: DistinctivePath

  #### Returns Promise<Posix>

  - Defined in fs/types.ts:27

### symlink

- symlink(args: {
  at: DirectoryPath;
  name: string;
  referringTo: DistinctivePath;
  }): Promise<Posix>

- #### Parameters

  - ##### args: {
    at: DirectoryPath;
    name: string;
    referringTo: DistinctivePath;
    }

    - ##### at: DirectoryPath

    - ##### name: string

    - ##### referringTo: DistinctivePath

  #### Returns Promise<Posix>

  - Defined in fs/types.ts:30

### write

- write(path: FilePath, content: Uint8Array, options?: MutationOptions): Promise<Posix>

- #### Parameters

  - ##### path: FilePath

  - ##### content: Uint8Array

  - ##### `Optional` options: MutationOptions

  #### Returns Promise<Posix>

  - Defined in fs/types.ts:44

Generated using TypeDoc